// gnome.xonotic.in.ua

models/mapobjects/13void/beam_white
{
	surfaceparm trans
	nomipmaps
	cull disable
	{
		map models/mapobjects/13void/beam_white.tga
		blendfunc add
		tcmod scroll -0.5 0
		rgbgen wave sin 0.5 0.5 0.5 0.09
	}
}

models/mapobjects/13void/env_white
{
	{
		map models/mapobjects/13void/env_white.tga
		tcgen environment
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map models/mapobjects/13void/base_e.tga
		blendfunc blend
		rgbgen lightingdiffuse
	}
}

models/mapobjects/13void/swirl_white
{
	{
		map models/mapobjects/13void/swirl_white.tga
		blendfunc gl_one gl_zero
		tcmod rotate 130
		tcmod stretch sin 0.8 0.2 0 0.2
		rgbgen identity
	}
	{
		map models/mapobjects/13void/swirl_white.tga
		blendfunc add
		tcmod rotate 80
		tcmod stretch sin 0.8 0.2 0 0.1
		rgbgen identity
	}
	{
		map models/mapobjects/13void/base_r.tga
		blendfunc blend
		rgbgen lightingdiffuse
	}
}

models/mapobjects/grenadel/grenadelx
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap models/mapobjects/grenadel/grenadelx.tga
		tcmod rotate 10
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
}

models/mapobjects/lamps/bot_flare
{
	deformvertexes autosprite
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap models/mapobjects/lamps/bot_flare.tga
		blendfunc gl_one gl_one
		tcmod rotate 20
	}
}

models/mapobjects/lamps/bot_flare2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/bot_flare2.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_lamp
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_lamp2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp2.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_wing
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 .5 0 .5
	cull disable
	{
		map models/mapobjects/lamps/bot_wing.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/13void/beam_blue
{
	qer_editorimage textures/13void/beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull disable
	qer_trans 0.6
	{
		map textures/13void/beam_blue.tga
		blendfunc add
		tcmod scroll 0.3 0
	}
}

textures/13void/beam_red
{
	qer_editorimage textures/13void/beam_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull disable
	qer_trans 0.6
	{
		map textures/13void/beam_red.tga
		blendfunc add
		tcmod scroll 0.3 0
	}
}

textures/13void/blackfog
{
	qer_editorimage textures/sfx/fog_black.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0 0 0 ) 1600
}

textures/13void/bounce_concrete_blue
{
	qer_editorimage textures/sfx/bounce_concrete.tga
	q3map_lightimage textures/ctf/jumppadsmall_b.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc add
		rgbgen wave square 0.5 0.5 0.25 1.5
		tcmod stretch sin 1.2 0.8 0 1.5
	}
}

textures/13void/bounce_concrete_red
{
	qer_editorimage textures/sfx/bounce_concrete.tga
	q3map_lightimage textures/ctf/jumppadsmall_r.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc add
		rgbgen wave square 0.5 0.5 0.25 1.5
		tcmod stretch sin 1.2 0.8 0 1.5
	}
}

textures/13void/button_off
{
	qer_editorimage textures/gothic_button/timbutton.tga
	{
		map textures/gothic_button/timbutton.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/13void/button_on
{
	qer_editorimage textures/gothic_button/timbutton.tga
	{
		map textures/gothic_button/timbutton.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/gothic_button/timbutton2.tga
		blendfunc add
	}
}

textures/13void/cushion
{
	qer_editorimage textures/common/cushion.tga
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
}

textures/13void/decal_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/13void/decal_blue.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/13void/decal_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/13void/decal_red.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/13void/diamond_ow_blue
{
	qer_editorimage textures/13void/diamond_ow.tga
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbgen identity
		tcmod turb 0 0.5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
	}
	{
		map textures/13void/diamond_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/13void/diamond_ow_red
{
	qer_editorimage textures/13void/diamond_ow.tga
	surfaceparm metalsteps
	{
		map textures/13void/proto_red.tga
		rgbgen identity
		tcmod turb 0 0.5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
	}
	{
		map textures/13void/diamond_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/13void/dirty_pewter_big_trans
{
	qer_editorimage textures/base_trim/dirty_pewter_big.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/base_trim/dirty_pewter_big.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/13void/electricwall_blue
{
	qer_editorimage textures/organics/wire02a_f.tga
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/organics/wire02a_f.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/13void/electric_blue.tga
		blendfunc add
		rgbgen wave sin 0.8 0.2 0 2
		tcmod scroll 0 2
		tcmod turb 0 0.2 0 0.2
	}
}

textures/13void/electricwall_red
{
	qer_editorimage textures/organics/wire02a_f.tga
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/organics/wire02a_f.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/13void/electric_red.tga
		blendfunc add
		rgbgen wave sin 0.8 0.2 0 2
		tcmod scroll 0 2
		tcmod turb 0 0.2 0 0.2
	}
}

textures/13void/flagbase_blue
{
	qer_editorimage textures/sfx/healthfloor.tga
	{
		clampmap textures/13void/swirl_blue.tga
		rgbgen identity
		tcmod rotate -400
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbgen identity
		tcmod rotate 130
		tcmod stretch sin 0.8 0.2 0 0.2
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbgen identity
		tcmod rotate 80
		tcmod stretch sin 0.8 0.2 0 0.1
	}
	{
		map textures/sfx/healthfloor.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/13void/flagbase_red
{
	qer_editorimage textures/sfx/healthfloor.tga
	{
		clampmap textures/13void/swirl_red.tga
		rgbgen identity
		tcmod rotate -400
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbgen identity
		tcmod rotate 130
		tcmod stretch sin 0.8 0.2 0 0.2
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbgen identity
		tcmod rotate 80
		tcmod stretch sin 0.8 0.2 0 0.1
	}
	{
		map textures/sfx/healthfloor.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/13void/ta_techspawn_blue
{
	qer_editorimage textures/13void/tech.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		clampmap textures/13void/tech_fx_blue.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/13void/tech.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/13void/ta_techspawn_red
{
	qer_editorimage textures/13void/tech.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		clampmap textures/13void/tech_fx_red.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/13void/tech.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/13void/tele_beam_blue
{
	qer_editorimage textures/13void/beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull disable
	qer_trans 0.6
	{
		map textures/13void/beam_blue.tga
		blendfunc add
		rgbgen wave sin 0.8 0.2 0 4
		tcmod scroll 0.3 0
	}
}

textures/13void/tele_beam_red
{
	qer_editorimage textures/13void/beam_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull disable
	qer_trans 0.6
	{
		map textures/13void/beam_red.tga
		blendfunc add
		rgbgen wave sin 0.8 0.2 0 4
		tcmod scroll 0.3 0
	}
}

textures/13void/tele_blue
{
	qer_editorimage textures/ctf/blue_telep2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	sort additive
	cull disable
	{
		clampmap textures/ctf/blue_telep.tga
		blendfunc add
		tcmod rotate 330
	}
	{
		clampmap textures/ctf/blue_telep2.tga
		blendfunc add
		tcmod rotate -210
	}
}

textures/13void/tele_red
{
	qer_editorimage textures/ctf/red_telep2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	sort additive
	cull disable
	{
		clampmap textures/ctf/red_telep.tga
		blendfunc add
		tcmod rotate 330
	}
	{
		clampmap textures/ctf/red_telep2.tga
		blendfunc add
		tcmod rotate -210
	}
}

textures/base_light/light1blue_2000
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1red_2000
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1red.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/cable
{
	{
		map textures/evil2_misc/mtl_grtx.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/launchpad_diamond
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_diamond.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/skies/xblacksky_dm7
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map gfx/colors/black.tga
	}
}

